Index: branches/libIGCM_MPI_OpenMP/libIGCM_config/libIGCM_config.ksh
===================================================================
--- branches/libIGCM_MPI_OpenMP/libIGCM_config/libIGCM_config.ksh	(revision 570)
+++ branches/libIGCM_MPI_OpenMP/libIGCM_config/libIGCM_config.ksh	(revision 571)
@@ -15,256 +15,282 @@
 function IGCM_config_Initialize
 {
-    IGCM_debug_PushStack "IGCM_config_Initialize"
-
-    # Debug Print :
+  IGCM_debug_PushStack "IGCM_config_Initialize"
+
+  # Debug Print :
+  echo
+  IGCM_debug_Print 1 "IGCM_config_Initialize"
+
+  if [ ! -r ${SUBMIT_DIR}/run.card ]; then 
+    #================================================#
+    #         The file run.card doesn't exist        #
+    #================================================#
+    FirstInitialize=true
+    #copy initial run.card
+    IGCM_sys_Cp ${SUBMIT_DIR}/run.card.init ${SUBMIT_DIR}/run.card
+    IGCM_debug_Print 2 "run.card copied from run.card.init"
+  else
+    FirstInitialize=false
+    IGCM_debug_Print 2 "run.card exists"
+  fi
+
+  # Test modipsl tree existence.
+  IGCM_sys_TestDir ${MODIPSL}
+  [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDir"
+  IGCM_sys_TestDir ${libIGCM}
+  [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDir"
+  IGCM_sys_TestDir ${R_EXE}
+  [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDir"
+  IGCM_sys_TestDir ${SUBMIT_DIR}
+  [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDir"
+
+  if ( $DEBUG_debug ) ; then
+    echo "Keep trace of inital SUBMIT_DIR : "
+    ls -lta ${SUBMIT_DIR}
+  fi
+
+  #==================================
+
+  typeset option auxprint CompatibilityTag
+  # Read libIGCM compatibility version in config.card
+  IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card Compatibility libIGCM
+  eval CompatibilityTag=${config_Compatibility_libIGCM} > /dev/null 2>&1	
+
+  if [ ! "${CompatibilityTag}" = "${libIGCM_CurrentTag}" ] ; then
+    IGCM_debug_Exit "config.card is not compatible with libIGCM version ${libIGCM_CurrentTag} see libIGCM FAQ http://wiki.ipsl.jussieu.fr/wiki_ipsl/IGCMG/libIGCM/DocUtilisateur/FAQ ."
+  fi
+
+  #==================================
+  IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card UserChoices
+
+  for option in ${config_UserChoices[*]} ; do
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card UserChoices ${option}
+  done
+  echo
+  IGCM_debug_Print 1 "DefineArrayFromOption  : config_UserChoices"
+  # Name Space of this experience 
+  if [ X${config_UserChoices_SpaceName} != X ] ; then
+    IGCM_debug_PrintVariables 3 config_UserChoices_SpaceName
+  fi
+  # Expericence class of the run
+  if [ X${config_UserChoices_ExperimentName} != X ] ; then
+    IGCM_debug_PrintVariables 3 config_UserChoices_ExperimentName
+  fi
+  IGCM_debug_PrintVariables 3 config_UserChoices_JobName
+  if [ 3 -le ${Verbosity} ] ; then
+    echo "--------------Debug3-->" "config_UserChoices_LongName="
+    echo "--------------Debug3-->" \"${config_UserChoices_LongName}\"
+  fi
+  IGCM_debug_PrintVariables 3 config_UserChoices_TagName
+  IGCM_debug_PrintVariables 3 config_UserChoices_CalendarType
+  IGCM_debug_PrintVariables 3 config_UserChoices_DateBegin
+  IGCM_debug_PrintVariables 3 config_UserChoices_DateEnd
+  IGCM_debug_PrintVariables 3 config_UserChoices_PeriodLength
+
+  #==================================
+
+  IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card ListOfComponents
+  for comp in ${config_ListOfComponents[*]} ; do
+    IGCM_card_DefineArrayFromOption ${SUBMIT_DIR}/config.card ListOfComponents ${comp}
+  done
+
+  echo
+  IGCM_debug_Print 1 "DefineArrayFromSection : ListOfComponents"
+  IGCM_debug_Print 3 ${config_ListOfComponents[*]}
+
+  NbComponents=${#config_ListOfComponents[*]}
+
+  #==================================
+  # Define principal executable
+  IGCM_card_DefineArrayFromSection   ${SUBMIT_DIR}/config.card Executable
+  IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card Executable Name
+  
+  #==================================
+  # Define Outputs Name
+  IGCM_debug_Print 2 "Define Script_Output_Prefix and Exe_Output"
+  eval Script_Output_Prefix=${config_UserChoices_Script_Output_Prefix:='Script_Output'}
+  IGCM_debug_Print 3 "Script_Output_Prefix = ${Script_Output_Prefix}"
+  eval Exe_Output=out_${config_Executable_Name}
+  IGCM_debug_Print 3 "Exe_Output           = ${Exe_Output}"
+
+  IGCM_card_DefineArrayFromSection   ${SUBMIT_DIR}/config.card Executable
+  IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card Executable Name
+    
+  #==================================
+  # Define Outputs Name
+  IGCM_debug_Print 2 "Define Script_Output_Prefix and Exe_Output"
+  eval Script_Output_Prefix=${config_UserChoices_Script_Output_Prefix:='Script_Output'}
+  IGCM_debug_Print 3 "Script_Output_Prefix = ${Script_Output_Prefix}"
+  Exe_Output=out_execution
+  #==================================
+
+  #===================================================================#
+  # Prepare variables available for ${COMP}.card and ${COMP}.driver   #
+  #             But available to any son functions                    #
+  #===================================================================#
+
+  # Convert yyyy-mm-dd date to gregorian yyyymmdd
+  DateBegin=$( IGCM_date_ConvertFormatToGregorian ${config_UserChoices_DateBegin} )
+  DateEnd=$( IGCM_date_ConvertFormatToGregorian ${config_UserChoices_DateEnd} )
+
+  # Period Length In Days between DateBegin and DateEnd
+  (( ExperienceLengthInDays=$( IGCM_date_DaysBetweenGregorianDate ${DateEnd} ${DateBegin} )  + 1 ))
+  if [ ${ExperienceLengthInDays} -lt 0 ] ; then
+    IGCM_debug_Print 1 "Problem with dates in config.card : ${DateEnd} < ${DateBegin} ! You must check that."
+    IGCM_debug_Exit "IGCM_config_Initialize" " Wrong Dates."
+    IGCM_debug_Verif_Exit 
+  fi
+
+  # Day and Year of Initial State (Given in julian format)
+  InitDay=$(( $( IGCM_date_ConvertGregorianDateToJulian $DateBegin ) % 1000 ))
+  InitYear=$(( $( IGCM_date_ConvertGregorianDateToJulian $DateBegin ) / 1000 ))
+
+  #==================================
+  # Restarts : Gerneral rule or local for each component ?
+  IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card Restarts
+
+  echo
+  IGCM_debug_Print 1 "DefineArrayFromOption : config_Restarts"
+
+  for option in ${config_Restarts[*]} ; do
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card Restarts ${option}
+    eval auxprint=\${config_Restarts_${option}}
+    IGCM_debug_Print 3 "${option} : ${auxprint}"
+  done
+
+  #================================================================#
+  #                  Test and Prepare directories                  #
+  #================================================================#
+
+  # ==> 4 kinds of input files :
+  #     1) R_INIT  : Initial State Files   (Etat0, carteveg)
+  #     2) R_BC    : Boundary Conditions   (Forcages, lai)
+  #     3) Parameters files (allready define through ${SUBMIT_DIR})
+  #     4) Restarts files   (allready define in IGCM_config_Initialize)
+
+  # Here we offer the possibility to redefine R_INIT, R_BC
+  # and PeriodNb through config.card
+  R_INIT=${config_UserChoices_R_INIT:=${R_IN}/INIT}
+  IGCM_debug_Print 2 "(Re)Define R_INIT, R_BC and PeriodNb"
+  IGCM_debug_Print 3 "R_INIT=${R_INIT}"
+  R_BC=${config_UserChoices_R_BC:=${R_IN}/BC}
+  IGCM_debug_Print 3  "R_BC=${R_BC}"
+  PeriodNb=${config_UserChoices_PeriodNb:=${PeriodNb}}
+  IGCM_debug_Print 3  "Loop in main Job with ${PeriodNb} period(s)"
+
+  # Test Archive input/output.
+  IGCM_sys_TestDirArchive ${ARCHIVE}
+  [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
+  IGCM_sys_TestDirArchive ${R_IN}
+  [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
+
+  #====================================================
+  #R_SAVE : Job output directory
+  if ( [ ! X${config_UserChoices_SpaceName} = X ] && [ ! X${config_UserChoices_ExperimentName} = X ] ) ; then
+    FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
+    R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+    R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+    R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
+  else
+    R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    R_BUFR=${R_BUF}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
+  fi
+
+  if ( ${FirstInitialize} ) ; then 
+    IGCM_sys_MkdirArchive ${R_SAVE}
+    IGCM_sys_Mkdir        ${R_BUFR}
+  else
+    IGCM_sys_TestDirArchive ${R_SAVE}
+    [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive ${R_SAVE}"
+
+    IGCM_sys_TestDir        ${R_BUFR}
+    [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDir ${R_BUFR}"
+
+    #Test state of run in run.card
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration PeriodState
+    
+    if ( [ ${run_Configuration_PeriodState} != "Start" ] && [ ${run_Configuration_PeriodState} != "Running" ] && [ ${run_Configuration_PeriodState} != "OnQueue" ] && [ ${run_Configuration_PeriodState} != "Continue" ] ) ; then
+      echo 
+      IGCM_debug_Print 1 "!! Error in run.card with PeriodState : " ${run_Configuration_PeriodState} "!!"
+      IGCM_debug_Print 1 "Try running ${libIGCM}/clean_month.job to fix this"
+      IGCM_debug_Exit
+      IGCM_debug_Verif_Exit
+    fi
+  fi
+
+  #==================================
+  # Read Post section: 
+  IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card Post
+
+  echo
+  IGCM_debug_Print 1 "DefineArrayFromOption : config_Post"
+
+  for option in ${config_Post[*]} ; do
+    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card Post ${option}
+    eval auxprint=\${config_Post_${option}}
+    IGCM_debug_Print 3 "${option} : ${auxprint}"
+  done
+
+  #==================================
+  # Define default value to keep compatibility with previous card: means before changes due to TGCC 
+  [ X${config_Post_PackFrequency} = X ] && config_Post_PackFrequency=${config_Post_RebuildFrequency}
+
+  #====================================================
+  # Define REBUILD_DIR : where we store files needing rebuild process
+  if [ X${config_Post_RebuildFromArchive} = Xtrue ] ; then
+    REBUILD_DIR=${R_SAVE}/TMP
+    IGCM_sys_MkdirArchive ${REBUILD_DIR}
+  else
+    REBUILD_DIR=${BIG_DIR}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
+    IGCM_sys_MkdirWork ${REBUILD_DIR}
+  fi
+
+  #====================================================
+  # Experience type : DEB(ug), DEV(elopment), RUN 
+  if [ X${JobType} != XRUN ] ; then
     echo
-    IGCM_debug_Print 1 "IGCM_config_Initialize"
-
-    if [ ! -r ${SUBMIT_DIR}/run.card ]; then 
-        #================================================#
-        #         The file run.card doesn't exist        #
-        #================================================#
-	FirstInitialize=true
-	#copy initial run.card
-	IGCM_sys_Cp ${SUBMIT_DIR}/run.card.init ${SUBMIT_DIR}/run.card
-        IGCM_debug_Print 2 "run.card copied from run.card.init"
-    else
-	FirstInitialize=false
-        IGCM_debug_Print 2 "run.card exists"
-    fi
-
-    # Test modipsl tree existence.
-    IGCM_sys_TestDir ${MODIPSL}
-    [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDir"
-    IGCM_sys_TestDir ${libIGCM}
-    [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDir"
-    IGCM_sys_TestDir ${R_EXE}
-    [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDir"
-    IGCM_sys_TestDir ${SUBMIT_DIR}
-    [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDir"
-
-    if ( $DEBUG_debug ) ; then
-	echo "Keep trace of inital SUBMIT_DIR : "
-	ls -lta ${SUBMIT_DIR}
-    fi
-
-    #==================================
-
-    typeset option auxprint CompatibilityTag
-    # Read libIGCM compatibility version in config.card
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card Compatibility libIGCM
-    eval CompatibilityTag=${config_Compatibility_libIGCM} > /dev/null 2>&1	
-
-    if [ ! "${CompatibilityTag}" = "${libIGCM_CurrentTag}" ] ; then
-	IGCM_debug_Exit "config.card is not compatible with libIGCM version ${libIGCM_CurrentTag} see libIGCM FAQ http://wiki.ipsl.jussieu.fr/wiki_ipsl/IGCMG/libIGCM/DocUtilisateur/FAQ ."
-    fi
-
-    #==================================
-    IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card UserChoices
-
-    for option in ${config_UserChoices[*]} ; do
-        IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card UserChoices ${option}
-    done
+    echo "===================================================="
+    echo "libIGCM JOB is NOT in RUN type mode."
+    echo "!! OUTPUT files will NOT be PROTECTED !!"
+    echo "Be carefull : you can ERASE the result of this job !"
+
+    case ${JobType} in
+    DEB)
+      echo "DEBUG mode : activation of 'set -vx' mode."
+      echo "DEBUG mode : no protection for output files."
+      echo "DEBUG mode : if active force asynchronous rebuild frequency to PeriodLength frequency."
+      ;;
+    DEV)
+      echo "DEVelopment mode : no protection for output files."
+      echo "DEVelopment mode : if active force asynchronous rebuild frequency to PeriodLength frequency."
+      ;;
+    esac
+
+    if ( [ X${config_Post_RebuildFrequency} != XNONE ] && [ ${DRYRUN} -eq 0 ] ) ; then
+      if [ X${config_Post_RebuildFrequency} != X${config_UserChoices_PeriodLength} ] ; then
+	echo "------------"
+	echo "WARNING : Job is NOT in RUN mode then we will force REBUILD Frequency"
+	echo "          to PeriodLength : ${config_UserChoices_PeriodLength}"
+	echo "------------"
+	config_Post_RebuildFrequency=${config_UserChoices_PeriodLength}
+      fi
+    fi
+    echo "===================================================="
     echo
-    IGCM_debug_Print 1 "DefineArrayFromOption  : config_UserChoices"
-    # Name Space of this experience 
-    if [ X${config_UserChoices_SpaceName} != X ] ; then
-	IGCM_debug_PrintVariables 3 config_UserChoices_SpaceName
-    fi
-    # Expericence class of the run
-    if [ X${config_UserChoices_ExperimentName} != X ] ; then
-	IGCM_debug_PrintVariables 3 config_UserChoices_ExperimentName
-    fi
-    IGCM_debug_PrintVariables 3 config_UserChoices_JobName
-    if [ 3 -le ${Verbosity} ] ; then
-	echo "--------------Debug3-->" "config_UserChoices_LongName="
-	echo "--------------Debug3-->" \"${config_UserChoices_LongName}\"
-    fi
-    IGCM_debug_PrintVariables 3 config_UserChoices_TagName
-    IGCM_debug_PrintVariables 3 config_UserChoices_CalendarType
-    IGCM_debug_PrintVariables 3 config_UserChoices_DateBegin
-    IGCM_debug_PrintVariables 3 config_UserChoices_DateEnd
-    IGCM_debug_PrintVariables 3 config_UserChoices_PeriodLength
-
-    #==================================
-
-    IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card ListOfComponents
-
-    echo
-    IGCM_debug_Print 1 "DefineArrayFromSection : ListOfComponents"
-    IGCM_debug_Print 3 ${config_ListOfComponents[*]}
-
-    NbComponents=${#config_ListOfComponents[*]}
-
-    #==================================
-    # Define principal executable
-
-    IGCM_card_DefineArrayFromSection   ${SUBMIT_DIR}/config.card Executable
-    IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card Executable Name
-    
-    #==================================
-    # Define Outputs Name
-    IGCM_debug_Print 2 "Define Script_Output_Prefix and Exe_Output"
-    eval Script_Output_Prefix=${config_UserChoices_Script_Output_Prefix:='Script_Output'}
-    IGCM_debug_Print 3 "Script_Output_Prefix = ${Script_Output_Prefix}"
-#MM : obsolete !
-#    eval Exe_Output=out_${config_Executable_Name}
-    eval Exe_Output=out_execution
-#    IGCM_debug_Print 3 "Exe_Output           = ${Exe_Output}"
-
-    #==================================
-
-    #===================================================================#
-    # Prepare variables available for ${COMP}.card and ${COMP}.driver   #
-    #             But available to any son functions                    #
-    #===================================================================#
-
-    # Convert yyyy-mm-dd date to gregorian yyyymmdd
-    DateBegin=$( IGCM_date_ConvertFormatToGregorian ${config_UserChoices_DateBegin} )
-    DateEnd=$( IGCM_date_ConvertFormatToGregorian ${config_UserChoices_DateEnd} )
-
-    # Period Length In Days between DateBegin and DateEnd
-    (( ExperienceLengthInDays=$( IGCM_date_DaysBetweenGregorianDate ${DateEnd} ${DateBegin} )  + 1 ))
-    if [ ${ExperienceLengthInDays} -lt 0 ] ; then
-	IGCM_debug_Print 1 "Problem with dates in config.card : ${DateEnd} < ${DateBegin} ! You must check that."
-	IGCM_debug_Exit "IGCM_config_Initialize" " Wrong Dates."
-	IGCM_debug_Verif_Exit 
-    fi
-
-    # Day and Year of Initial State (Given in julian format)
-    InitDay=$(( $( IGCM_date_ConvertGregorianDateToJulian $DateBegin ) % 1000 ))
-    InitYear=$(( $( IGCM_date_ConvertGregorianDateToJulian $DateBegin ) / 1000 ))
-
-    #==================================
-    # Restarts : Gerneral rule or local for each component ?
-    IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card Restarts
-
-    echo
-    IGCM_debug_Print 1 "DefineArrayFromOption : config_Restarts"
-
-    for option in ${config_Restarts[*]} ; do
-	IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card Restarts ${option}
-	eval auxprint=\${config_Restarts_${option}}
-	IGCM_debug_Print 3 "${option} : ${auxprint}"
-    done
-
-    #================================================================#
-    #                  Test and Prepare directories                  #
-    #================================================================#
-
-    # ==> 4 kinds of input files :
-    #     1) R_INIT  : Initial State Files   (Etat0, carteveg)
-    #     2) R_BC    : Boundary Conditions   (Forcages, lai)
-    #     3) Parameters files (allready define through ${SUBMIT_DIR})
-    #     4) Restarts files   (allready define in IGCM_config_Initialize)
-
-    # Here we offer the possibility to redefine R_INIT, R_BC
-    # and PeriodNb through config.card
-    R_INIT=${config_UserChoices_R_INIT:=${R_IN}/INIT}
-    IGCM_debug_Print 2 "(Re)Define R_INIT, R_BC and PeriodNb"
-    IGCM_debug_Print 3 "R_INIT=${R_INIT}"
-    R_BC=${config_UserChoices_R_BC:=${R_IN}/BC}
-    IGCM_debug_Print 3  "R_BC=${R_BC}"
-    PeriodNb=${config_UserChoices_PeriodNb:=${PeriodNb}}
-    IGCM_debug_Print 3  "Loop in main Job with ${PeriodNb} period(s)"
-
-    # Test Archive input/output.
-    IGCM_sys_TestDirArchive ${ARCHIVE}
-    [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
-    IGCM_sys_TestDirArchive ${R_IN}
-    [ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
-
-    #====================================================
-    #R_SAVE : Job output directory
-    if ( [ ! X${config_UserChoices_SpaceName} = X ] && [ ! X${config_UserChoices_ExperimentName} = X ] ) ; then
-	FreeName=$( echo ${config_UserChoices_JobName} | sed 's/.*_//' )
-	R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
-	R_DODS=${config_UserChoices_TagName}/${config_UserChoices_SpaceName}/${config_UserChoices_ExperimentName}/${FreeName}
-    else
-	R_SAVE=${R_OUT}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
-	R_DODS=${config_UserChoices_TagName}/${config_UserChoices_JobName}
-    fi
-
-    if ( ${FirstInitialize} ) ; then 
-	IGCM_sys_MkdirArchive ${R_SAVE}
-    else
-	IGCM_sys_TestDirArchive ${R_SAVE}
-	[ $? != 0 ] && IGCM_debug_Exit "IGCM_sys_TestDirArchive"
-	#Test state of run in run.card
-	IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/run.card Configuration PeriodState
-	
-	if ( [ ${run_Configuration_PeriodState} != "Start" ] && [ ${run_Configuration_PeriodState} != "Running" ] && [ ${run_Configuration_PeriodState} != "OnQueue" ] && [ ${run_Configuration_PeriodState} != "Continue" ] ) ; then
-	    echo 
-	    IGCM_debug_Print 1 "!! Error in run.card with PeriodState : " ${run_Configuration_PeriodState} "!!"
-	    IGCM_debug_Print 1 "Try running ${libIGCM}/clean_month.job to fix this"
-	    IGCM_debug_Exit
-	    IGCM_debug_Verif_Exit
-	fi
-    fi
-
-    #==================================
-    # Post : 
-    IGCM_card_DefineArrayFromSection ${SUBMIT_DIR}/config.card Post
-
-    echo
-    IGCM_debug_Print 1 "DefineArrayFromOption : config_Post"
-
-    for option in ${config_Post[*]} ; do
-	IGCM_card_DefineVariableFromOption ${SUBMIT_DIR}/config.card Post ${option}
-	eval auxprint=\${config_Post_${option}}
-	IGCM_debug_Print 3 "${option} : ${auxprint}"
-    done
-
-    #====================================================
-    # Define REBUILD_DIR : where we store files needing rebuild process
-    if [ X${config_Post_RebuildFromArchive} = Xtrue ] ; then
-	REBUILD_DIR=${R_SAVE}/TMP
-	IGCM_sys_MkdirArchive ${REBUILD_DIR}
-    else
-	REBUILD_DIR=${BIG_DIR}/${config_UserChoices_TagName}/${config_UserChoices_JobName}
-	IGCM_sys_MkdirWork ${REBUILD_DIR}
-    fi
-
-    #====================================================
-    # Experience type : DEB(ug), DEV(elopment), RUN 
-    if [ X${JobType} != XRUN ] ; then
-	echo
-        echo "===================================================="
-	echo "libIGCM JOB is NOT in RUN type mode."
-	echo "!! OUTPUT files will NOT be PROTECTED !!"
-        echo "Be carefull : you can ERASE the result of this job !"
-
-	case ${JobType} in
-	    DEB)
-		echo "DEBUG mode : activation of 'set -vx' mode."
-		echo "DEBUG mode : no protection for output files."
-		echo "DEBUG mode : if active force asynchronous rebuild frequency to PeriodLength frequency."
-		;;
-	    DEV)
-		echo "DEVelopment mode : no protection for output files."
-		echo "DEVelopment mode : if active force asynchronous rebuild frequency to PeriodLength frequency."
-		;;
-	esac
-
-	if ( [ X${config_Post_RebuildFrequency} != XNONE ] && [ ${DRYRUN} -eq 0 ] ) ; then
-            if [ X${config_Post_RebuildFrequency} != X${config_UserChoices_PeriodLength} ] ; then
-		echo "------------"
-		echo "WARNING : Job is NOT in RUN mode then we will force REBUILD Frequency"
-		echo "          to PeriodLength : ${config_UserChoices_PeriodLength}"
-		echo "------------"
-		config_Post_RebuildFrequency=${config_UserChoices_PeriodLength}
-	    fi
-	fi
-        echo "===================================================="
-	echo
-    fi
-
-    #====================================================
-    #R_OUT_KSH : Storage place for job output
-    #R_OUT_EXE : Storage place for binary used during simulation
-    R_OUT_KSH=${R_SAVE}/Out
-    R_OUT_EXE=${R_SAVE}/Exe
-
-    IGCM_debug_PopStack "IGCM_config_Initialize"
+  fi
+
+  #====================================================
+  #R_OUT_KSH : Storage place for job output
+  #R_OUT_EXE : Storage place for binary used during simulation
+  R_OUT_KSH=${R_SAVE}/Out
+  R_OUT_EXE=${R_SAVE}/Exe
+
+  #====================================================
+  #R_BUF_KSH : Buffer place for job output
+  #R_BUF_EXE : Buffer place for binary used during simulation
+  R_BUF_KSH=${R_BUFR}/Out
+  R_BUF_EXE=${R_BUFR}/Exe
+
+  IGCM_debug_PopStack "IGCM_config_Initialize"
 }
 
@@ -272,43 +298,43 @@
 function IGCM_config_Analyse_PeriodLength
 {
-    IGCM_debug_PushStack "IGCM_config_Analyse_PeriodLength"
-
-    typeset i
-
-    # Determine number of day(s) in PeriodLength :
-    case ${config_UserChoices_PeriodLength} in
-	*Y|*y)
-	    PeriodLengthInYears=$( echo ${config_UserChoices_PeriodLength} | sed -e 's/[yY]//' ) 
-	    IGCM_debug_Print 2 "Number of years for PeriodLength : ${PeriodLengthInYears}"
-	    PeriodLengthInDays=0
-	    i=0
-	    until [ $i -ge $PeriodLengthInYears ] ; do 
-	 	(( PeriodLengthInDays = PeriodLengthInDays + $( IGCM_date_DaysInYear $(( year + i )) ) )) 
-	 	(( i=i+1 )) 
-	    done 
-	    ;;
-	*M|*m)
-	    PeriodLengthInMonths=$( echo ${config_UserChoices_PeriodLength} | sed -e 's/[mM]//' ) 
-	    IGCM_debug_Print 2 "Number of months for PeriodLength : ${PeriodLengthInMonths}"
-	    PeriodLengthInDays=0
-	    i=0
-	    until [ $i -ge $PeriodLengthInMonths ] ; do 
-	 	if [ $(( month + i )) -lt 13 ] ; then 
-	 	    (( PeriodLengthInDays  = PeriodLengthInDays + $( IGCM_date_DaysInMonth $year $(( month + i )) ) ))  
-	 	else 
- 	            (( PeriodLengthInDays  = PeriodLengthInDays + $( IGCM_date_DaysInMonth $year $(( month + i - 12 )) ) ))  
-	 	fi 
- 	        (( i=i+1 )) 
-	    done 
- 	    ;;
-	*D|*d)  
-	    PeriodLengthInMonths=0
-	    PeriodLengthInDays=$( echo ${config_UserChoices_PeriodLength} | sed -e 's/[dD]//' );;
-	*) 
-	    IGCM_debug_Exit "IGCM_config_Analyse_PeriodLength " ${config_UserChoices_PeriodLength} " invalid period length : choose in *Y, *M, *D."
-	    IGCM_debug_Verif_Exit ;;
-    esac
-
-    IGCM_debug_PopStack "IGCM_config_Analyse_PeriodLength"
+  IGCM_debug_PushStack "IGCM_config_Analyse_PeriodLength"
+
+  typeset i
+
+  # Determine number of day(s) in PeriodLength :
+  case ${config_UserChoices_PeriodLength} in
+  *Y|*y)
+    PeriodLengthInYears=$( echo ${config_UserChoices_PeriodLength} | sed -e 's/[yY]//' ) 
+    IGCM_debug_Print 2 "Number of years for PeriodLength : ${PeriodLengthInYears}"
+    PeriodLengthInDays=0
+    i=0
+    until [ $i -ge $PeriodLengthInYears ] ; do 
+      (( PeriodLengthInDays = PeriodLengthInDays + $( IGCM_date_DaysInYear $(( year + i )) ) )) 
+      (( i=i+1 )) 
+    done 
+    ;;
+  *M|*m)
+    PeriodLengthInMonths=$( echo ${config_UserChoices_PeriodLength} | sed -e 's/[mM]//' ) 
+    IGCM_debug_Print 2 "Number of months for PeriodLength : ${PeriodLengthInMonths}"
+    PeriodLengthInDays=0
+    i=0
+    until [ $i -ge $PeriodLengthInMonths ] ; do 
+      if [ $(( month + i )) -lt 13 ] ; then 
+	(( PeriodLengthInDays  = PeriodLengthInDays + $( IGCM_date_DaysInMonth $year $(( month + i )) ) ))  
+      else 
+ 	(( PeriodLengthInDays  = PeriodLengthInDays + $( IGCM_date_DaysInMonth $year $(( month + i - 12 )) ) ))  
+      fi 
+      (( i=i+1 )) 
+    done 
+    ;;
+  *D|*d)  
+    PeriodLengthInMonths=0
+    PeriodLengthInDays=$( echo ${config_UserChoices_PeriodLength} | sed -e 's/[dD]//' );;
+  *) 
+    IGCM_debug_Exit "IGCM_config_Analyse_PeriodLength " ${config_UserChoices_PeriodLength} " invalid period length : choose in *Y, *M, *D."
+    IGCM_debug_Verif_Exit ;;
+  esac
+
+  IGCM_debug_PopStack "IGCM_config_Analyse_PeriodLength"
 }
 
